v1.0

get

/ec-codelist-svc/rest/v1.0/codelist/values/export/{codeId}

Download codelist values as a file for offline review or sharing.

Request

Path Parameters
  • Required. Codelist identifier. Depending on the type parameter, this value can be a UUID, code name, or tag.
    Example:
    B1B8327AFAA6412287106192AB5984EF
Query Parameters
  • Optional. File format for the export. Allowed values are csv and xlsx.
    Default Value: xlsx
    Example:
    xlsx
  • Optional. Unique identifier of the codelist group. When specified, returns codelists in that group, including non-customized SYSTEM default codelists.
    Example:
    B1B8327AFAA6412287106192AB5984EF
  • Required. Unique identifier (UUID, 32-character uppercase hexadecimal string) of a study.
    Example:
    B1B8327AFAA6412287106192AB5984EF

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: String(binary)

400 Response

Bad Request: invalid parameters or request body
Body ()
Root Schema : CodeListResponseV1.0
Type: object
Title: CodeListResponseV1.0
Standard codelist service response envelope.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Response result.
Example:
{
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

500 Response

Server error
Body ()
Root Schema : Response
Type: object
Show Source
Nested Schema : allowedMethods
Type: array
Unique Items Required: true
Show Source
Nested Schema : cookies
Type: object
Additional Properties Allowed
Show Source
Nested Schema : entity
Type: object
Nested Schema : EntityTag
Type: object
Show Source
Nested Schema : headers
Type: object
Additional Properties Allowed
Show Source Show Source
Nested Schema : language
Type: object
Show Source
Nested Schema : MediaType
Type: object
Show Source
Nested Schema : metadata
Type: object
Additional Properties Allowed
Show Source Show Source
Nested Schema : StatusType
Type: object
Show Source
Nested Schema : stringHeaders
Type: object
Additional Properties Allowed
Show Source Show Source
Nested Schema : NewCookie
Type: object
Show Source
Nested Schema : additionalProperties
Type: array
Show Source
Nested Schema : items
Type: object
Nested Schema : extensionKeys
Type: array
Unique Items Required: true
Show Source
Nested Schema : unicodeLocaleAttributes
Type: array
Unique Items Required: true
Show Source
Nested Schema : unicodeLocaleKeys
Type: array
Unique Items Required: true
Show Source
Nested Schema : UriBuilder
Type: object
Nested Schema : parameters
Type: object
Additional Properties Allowed
Show Source
Nested Schema : additionalProperties
Type: array
Show Source
Nested Schema : items
Type: object
Nested Schema : additionalProperties
Type: array
Show Source
Examples

Back to Top